> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v2/objects-schema/partner-program-referral-object.md).

# Partner Program Referral Object

### Example

```json
{
  "email": "drago@sparkloop.app",
  "referral_status": "confirmed",
  "rejection_reason": null,
  "payable": true,
  "country_code": "US",
  "cpa": 3.0,
  "referred_at": "2021-03-24T11:55:02.113Z",
  "confirmed_at": "2021-04-04T11:55:02.113Z",
  "rejected_at": null,
  "recommending_publication": {
    "uuid": "pub_18b5c17562ab",
    "name": "Butter In a Lordly Dish",
    "logo": "https://logo.url"
  }
}
```

<table><thead><tr><th width="217">Property</th><th width="140.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>email</td><td>string</td><td>the email address of the referral</td></tr><tr><td>referral_status</td><td>string</td><td>the referral status of the subscriber. Possible values: confirmed, pending, rejected.</td></tr><tr><td>rejection_reason</td><td>string</td><td>the reason why the referral was rejected (only applied to rejected referrals).</td></tr><tr><td>payable</td><td>boolean</td><td>Whether or not the referral counts towards the payout.</td></tr><tr><td>country_code</td><td>string</td><td>The 2-letter country code the referral signed up from. For example: US, CA, IT</td></tr><tr><td>cpa</td><td>float</td><td>the referral's CPA (cost per acquisition)</td></tr><tr><td>referred_at</td><td>timestamp</td><td>the date the referral was created</td></tr><tr><td>confirmed_at</td><td>timestamp</td><td>the date the referral was confirmed (for confirmed referrals only)</td></tr><tr><td>rejected_at</td><td>timestamp</td><td>the date the referral was rejected (for rejected referrals only)</td></tr><tr><td>recommending_publication</td><td>object</td><td>an object with data about the partner who recommended the referral</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sparkloop.app/api-v2/objects-schema/partner-program-referral-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
